Subject: [MOBILE-IP] RFC 2002bis (was, Bake-off issues)

From: Charles Perkins <[email-masked]>
Date: Thu, 5 Aug 1999 13:43:00 -0700

Hello all,

There has been a revised protocol specification around now for
several years, which was intended to repair protocol deficiencies
in RFC 2002.  This document, which was produced from working group
input after the previous interoperability test in Andover, MA,
is available at the following URL:
        ftp://ietf.org/internet-drafts/draft-ietf-mobileip-v2-00.txt

The changes in the document are pretty minimal.  It is unfortunate
that the existence of this document was not widely announced before
the bake-off.  That might have saved a lot of headaches.

I think it's likely that, by now, we should include one or two
other changes to RFC2002bis.  For instance, we might make it
mandatory to support reverse tunneling, given the increased
prevalence of ingress filtering.

Another possibility is that we could make these changes along
the way to moving Mobile IP to Draft Standard.

Regards,
Charlie P.

PS. As a matter of terminology, I agree with what others have said,
    that we should not call this Mobile IP version 2.

------------- Begin Forwarded Message -------------

MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Date: Thu, 5 Aug 1999 12:39:46 -0700
From: Patrice Calhoun <[email-masked]>
Subject: [MOBILE-IP] Bake-off issues
To:

All,

One of the biggest problems that were found during the bake-off is the fact that
RFC2002 incorrectly states how the computation of the authentication extensions
are done. Charlie Perkins has put together a Mobile-IP v2 draft, and I strongly
urge the Working Group to move this document forward to last call. The issue we
currently have is if someone states that they are RFC2002 compliant, they will
not
interoperate with the rest of the world. This is obviously not to the advantage
of
the IETF, and the Internet Community.

I strongly propose that the WG chairs move the said document ahead to last call.

On a side note, I have started to put together the bake-off results, but I am
still
waiting for the results from two participants (you know who you are:). As soon
as I
receive this information I will make it available to the list.

PatC

------------- End Forwarded Message -------------